Move gocryptfs wrapper into the same folder as the binary

This commit is contained in:
Jakob Unterwurzacher 2015-10-07 21:40:32 +02:00
parent 65ba0739d5
commit bef73c63b3
2 changed files with 30 additions and 26 deletions

View File

@ -1,26 +0,0 @@
#!/bin/bash
# Shell wrapper that runs the gocryptfs process in the background
# and exits on SIGUSR1
set -eu
trap "exit 0" SIGUSR1
shopt -u huponexit
dir=$(dirname "$0")
main="$dir/gocryptfs_main/gocryptfs_main"
if [ ! -x $main ]; then
echo "Error: gocryptfs_main executable not found. Run ./all.bash to build it."
exit 1
fi
# A backgrounded process gets /dev/null as stdin per default.
# Explicitly set stdin to the current stdin so we can ask the user for input.
"$main" $* < /proc/self/fd/0 & wait
# The "& wait" is neccessary because bash only processes signals when
# executing internal commands
# We did not get USR1 - something went wrong
exit 1

1
gocryptfs Symbolic link
View File

@ -0,0 +1 @@
gocryptfs_main/gocryptfs

29
gocryptfs_main/gocryptfs Executable file
View File

@ -0,0 +1,29 @@
#!/bin/bash
# Shell wrapper that runs the gocryptfs process in the background
# and exits on SIGUSR1
set -eu
trap "exit 0" SIGUSR1
shopt -u huponexit
dir=$(dirname $(readlink -f "$0"))
main="$dir/gocryptfs_main"
# echo "0=$0 dir=$dir main=$main"
if [ ! -x "$main" ]
then
echo "Error: gocryptfs_main executable not found. Run ./all.bash to build it."
exit 1
fi
# A backgrounded process gets /dev/null as stdin per default.
# Explicitly set stdin to the current stdin so we can ask the user for input.
"$main" $* < /proc/self/fd/0 & wait
# The "& wait" is neccessary because bash only processes signals when
# executing internal commands
# We did not get USR1 - something went wrong
exit 1